dpkg-name(1)

NAZWA
dpkg-name - zmienia nazwy pakietów Debiana na pełne

SKŁADNIA
dpkg-name [option...] [--] file...

OPIS

This manual page documents the dpkg-name program which provides an easy way to rename Debian packages into their full package names. A full package name consists of package_version_architecture.package-type as specified in the control file of the package. The version part of the filename consists of the upstream version information optionally followed by a hyphen and the revision information. The package-type part comes from that field if present or fallbacks to deb.

OPCJE

-a, --no-architecture
    Wynikowy plik nie będzie miał informacji o architekturze.

-k, --symlink
    Tworzy dowiązanie symboliczne, zamiast przenosić plik.

-o, --overwrite
    Istniejące pliki będą nadpisane, jeżeli ich nazwy są takie same jak nazwy plików wynikowych.

-s, --subdir [katalog]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be `unstable/binary-architecture/section'. If the section is not found in the control, then `no-section' is assumed, and in this case, as well as for sections `non-free' and `contrib' the target directory is `section/binary-architecture'. The section field isn't required so a lot of packages will find their way to the `no-section' area. Use this option with care, it's messy.

-c, --create-dir
    Opcja ta może być użyta łącznie z opcją -s. Jeśli katalog docelowy nie istnieje, to zostanie utworzony. Proszę ostrożnie używać tej opcji.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

-v, --version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

PRZYKŁADY

dpkg-name bar-foo.deb
    Nazwa pliku "bar-foo.deb" zostanie zmieniona na bar-foo_1.0-2_i386.deb lub coś podobnego (w zależności od informacji zawartych w pliku kontrolnym pakietu "bar-foo.deb").

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    dpkg-name, jeśli jest to konieczne, zmieni nazwy wszystkich pliki z rozszerzeniem "deb" z katalogu /root/debian i jego podkatalogów na nazwy niezawierające informacji o architekturze.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Nie rób tego. Twoje archiwum zostanie kompletnie zepsute, ponieważ wiele pakietów nie będzie miało informacji o sekcji. Nie rób tego.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Może zostać użyte do budowania nowych pakietów.

BŁĘDY
Some packages don't follow the name structure package_version_architecture.deb. Packages renamed by dpkg-name will follow this structure. Generally this will have no impact on how packages are installed by dselect(1)/dpkg(1), but other installation tools might depend on this naming structure.

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

AUTOR
Copyright © 1995,1996 Erick Branderhorst

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008